internal::join_helper< 1 > Struct Reference

`#include <_flow_graph_join_impl.h>`

Collaboration diagram for internal::join_helper< 1 >:

## Static Public Member Functions

template<typename TupleType , typename PortType >
static void | set_join_node_pointer (TupleType &my_input, PortType *port)
template<typename TupleType >
static void | consume_reservations (TupleType &my_input)
template<typename TupleType >
static void | release_my_reservation (TupleType &my_input)
template<typename TupleType >
static void | release_reservations (TupleType &my_input)
template<typename InputTuple , typename OutputTuple >
static bool | reserve (InputTuple &my_input, OutputTuple &out)
template<typename InputTuple , typename OutputTuple >
static bool | get_my_item (InputTuple &my_input, OutputTuple &out)
template<typename InputTuple , typename OutputTuple >
static bool | get_items (InputTuple &my_input, OutputTuple &out)
template<typename InputTuple >
static void | reset_my_port (InputTuple &my_input)
template<typename InputTuple >
static void | reset_ports (InputTuple &my_input)
template<typename InputTuple , typename KeyFuncTuple >
static void | set_key_functors (InputTuple &my_input, KeyFuncTuple &my_key_funcs)
template<typename KeyFuncTuple >
static void | copy_key_functors (KeyFuncTuple &my_inputs, KeyFuncTuple &other_inputs)
template<typename InputTuple >
static void | reset_inputs (InputTuple &my_input, reset_flags f)

## Detailed Description

Definition at line 135 of file _flow_graph_join_impl.h.

## Member Function Documentation

## consume_reservations()

template<typename TupleType >

static void internal::join_helper< 1 >::consume_reservations | ( | TupleType & | my_input | ) |

inline static

Definition at line 143 of file _flow_graph_join_impl.h.

{
tbb::flow::get<0>( my_input ).consume();
}

## copy_key_functors()

template<typename KeyFuncTuple >

static void internal::join_helper< 1 >::copy_key_functors | ( | KeyFuncTuple & | my_inputs,
|  | KeyFuncTuple & | other_inputs
| ) |  |

inline static

Definition at line 189 of file _flow_graph_join_impl.h.

{
if(tbb::flow::get<0>(other_inputs).get_my_key_func()) {
tbb::flow::get<0>(my_inputs).set_my_key_func(tbb::flow::get<0>(other_inputs).get_my_key_func()->clone());
}
}

## get_items()

template<typename InputTuple , typename OutputTuple >

static bool internal::join_helper< 1 >::get_items | ( | InputTuple & | my_input,
|  | OutputTuple & | out
| ) |  |

inline static

Definition at line 168 of file _flow_graph_join_impl.h.

{
return get_my_item(my_input, out);
}
internal::join_helper< 1 >::get_my_item
static bool get_my_item(InputTuple &my_input, OutputTuple &out)
Definition: _flow_graph_join_impl.h:163

References internal::join_helper< N >::get_my_item().

Here is the call graph for this function:

## get_my_item()

template<typename InputTuple , typename OutputTuple >

static bool internal::join_helper< 1 >::get_my_item | ( | InputTuple & | my_input,
|  | OutputTuple & | out
| ) |  |

inline static

Definition at line 163 of file _flow_graph_join_impl.h.

{
return tbb::flow::get<0>(my_input).get_item(tbb::flow::get<0>(out));
}

## release_my_reservation()

template<typename TupleType >

static void internal::join_helper< 1 >::release_my_reservation | ( | TupleType & | my_input | ) |

inline static

Definition at line 148 of file _flow_graph_join_impl.h.

{
tbb::flow::get<0>( my_input ).release();
}

## release_reservations()

template<typename TupleType >

static void internal::join_helper< 1 >::release_reservations | ( | TupleType & | my_input | ) |

inline static

Definition at line 153 of file _flow_graph_join_impl.h.

{
release_my_reservation(my_input);
}
internal::join_helper< 1 >::release_my_reservation
static void release_my_reservation(TupleType &my_input)
Definition: _flow_graph_join_impl.h:148

References internal::join_helper< N >::release_my_reservation().

Here is the call graph for this function:

## reserve()

template<typename InputTuple , typename OutputTuple >

static bool internal::join_helper< 1 >::reserve | ( | InputTuple & | my_input,
|  | OutputTuple & | out
| ) |  |

inline static

Definition at line 158 of file _flow_graph_join_impl.h.

{
return tbb::flow::get<0>( my_input ).reserve( tbb::flow::get<0>( out ) );
}

## reset_inputs()

template<typename InputTuple >

static void internal::join_helper< 1 >::reset_inputs | ( | InputTuple & | my_input,
|  | reset_flags | f
| ) |  |

inline static

Definition at line 195 of file _flow_graph_join_impl.h.

{
tbb::flow::get<0>(my_input).reset_receiver(f);
}

## reset_my_port()

template<typename InputTuple >

static void internal::join_helper< 1 >::reset_my_port | ( | InputTuple & | my_input | ) |

inline static

Definition at line 173 of file _flow_graph_join_impl.h.

{
tbb::flow::get<0>(my_input).reset_port();
}

## reset_ports()

template<typename InputTuple >

static void internal::join_helper< 1 >::reset_ports | ( | InputTuple & | my_input | ) |

inline static

Definition at line 178 of file _flow_graph_join_impl.h.

{
reset_my_port(my_input);
}
internal::join_helper< 1 >::reset_my_port
static void reset_my_port(InputTuple &my_input)
Definition: _flow_graph_join_impl.h:173

References internal::join_helper< N >::reset_my_port().

Here is the call graph for this function:

## set_join_node_pointer()

template<typename TupleType , typename PortType >

static void internal::join_helper< 1 >::set_join_node_pointer | ( | TupleType & | my_input,
|  | PortType * | port
| ) |  |

inline static

Definition at line 138 of file _flow_graph_join_impl.h.

{
tbb::flow::get<0>( my_input ).set_join_node_pointer(port);
}

## set_key_functors()

template<typename InputTuple , typename KeyFuncTuple >

static void internal::join_helper< 1 >::set_key_functors | ( | InputTuple & | my_input,
|  | KeyFuncTuple & | my_key_funcs
| ) |  |

inline static

Definition at line 183 of file _flow_graph_join_impl.h.

{
tbb::flow::get<0>(my_input).set_my_key_func(tbb::flow::get<0>(my_key_funcs));
tbb::flow::get<0>(my_key_funcs) = NULL;
}

The documentation for this struct was generated from the following file:

- _flow_graph_join_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.